# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetIntegerAttribute

Function

Retrieves a named attribute from an Object, verifies that its contents are an integer number, and returns that number.

Syntax
`
#include <dx/dx.h>
`

Object DXGetIntegerAttribute(Object o, char *name, int *x)

Functional Details

Retrieves the attribute specified by the string `name` from Object `o`. It then verifies that the attribute contains a scalar integer value. If `x` is not `NULL`, the integer value is returned in `*x`.

Return Value

Returns `o` or returns `NULL` without setting an error code.

See Also

`DXGetAttribute, DXGetEnumeratedAttribute, DXGetFloatAttribute, DXGetStringAttribute, DXSetAttribute, DXDeleteAttribute, DXSetFloatAttribute, DXSetIntegerAttribute, DXSetStringAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]